import React, {useEffect} from 'react';
import ReactDOM from 'react-dom';
import {scaleLinear, extent} from "d3"
import {BasketballCourt} from "./BasketballCourt"
import {usePlayerData} from "./usePlayerData"
import {useLeagueData} from "./useLeagueData"
import {Marks} from "./Marks"

const width = 960;
// const margin = { top: 30, right: 30, bottom: 30, left: 30 };
// const innerWidth = width - margin.right - margin.left;
// const innerHeight = height - margin.top - margin.bottom;
const usableWidth = 500
const height = usableWidth / 50 * 47
const margins = 0
const xValue = d => d.x
const yValue = d => d.y
// const Hexbin = ({player, league, margins, usableWidth, height, xScale, yScale }) => {
// const hex = d3Hexbin()
// 	.x(xScale(player.x))
// 	.y(yScale(player.y))
// 	.radius()

// return (
//   <>
//   </>

// )
// }

  
const App = () => {
  const player = usePlayerData()
  const league = useLeagueData()
  if (!player) {
    return <pre>Loading...</pre>;
  }


    const xScale = scaleLinear()
    .domain([-250, 250])
    .range([0, usableWidth- margins * 2])
  const yScale = scaleLinear()
    .domain([-52, 418])
    .range([0, height- margins * 2])




// 		<Hexbin
//       player={player}
//       league={league}
//       margins={margins}
//       usableWidth={usableWidth}
//       height={height}
//       xScale={xScale}
//       yScale={yScale}
//       />
  
  return (
<div>
  	<svg
    height={height}
    width={usableWidth}
    transform ={`translate(${[margins,margins]})`}
    style={{fill:'none', stroke:"#000"}}
    >
  <g >
  <BasketballCourt
    height={height}
    usableWidth={usableWidth}
    margins={margins}
    />
          	<Marks
  	xValue={xValue}
  	xScale={xScale}
  	yValue={yValue}
  	yScale={yScale}
  	player={player}
  	/>

      </g>
  </svg>
</div>
)
};

ReactDOM.render(<App />, document.getElementById('root'));
